Improve this doc View source

# `pfC3Chart`
directive in module `patternfly.charts`

## Description

Directive for wrapping c3 library

Note: The 'patternfly.charts' module is not a dependency in the default angular 'patternfly' module. In order to use patternfly charts you must add 'patternfly.charts' as a dependency in your application.

## Usage

as attribute

    <ANY pf-c3-chart
         id="{string}"
         config="{expression}"
         [get-chart-callback="{function (chart))}"]>
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---
id | string | the ID of the container that the chart should bind to
config | expression | the c3 configuration options for the chart
getChartCallback (optional) | function (chart) | the callback user function to be called once the chart is generated, containing the c3 chart object

## Example

#### Source

#### Demo